package com.bonait.bnframework.modules.mine.fragment.from;

import androidx.core.content.ContextCompat;
import androidx.appcompat.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;

import com.bonait.bnframework.R;
import com.bonait.bnframework.common.base.BaseActivity;
import com.bonait.bnframework.common.utils.ToastUtils;
import com.orhanobut.logger.Logger;
import com.qmuiteam.qmui.widget.QMUITopBar;

import butterknife.BindView;
import butterknife.ButterKnife;
import butterknife.OnClick;

public class NoticeActivity extends BaseActivity{

    @BindView(R.id.topbar)
    QMUITopBar mTopBar;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_notice);
        //属性绑定
        ButterKnife.bind(this);
        initTopBar();
    }

    @OnClick({R.id.button})
    public void onViewClicked(View view) {
        switch (view.getId()) {
            case R.id.button:
                ToastUtils.info("我是信息通知栏");
                break;
            case R.id.clean_password:

                break;
        }
    }

    private void initTopBar() {
        mTopBar.setTitle("信息通知栏");
        mTopBar.addLeftImageButton(R.mipmap.fanhui,R.id.topbar).setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {
                finish();
            }
        });
        //左侧添加文字
//        mTopBar.addLeftTextButton("返回",1).setOnClickListener(new View.OnClickListener() {
//            @Override
//            public void onClick(View v) {
//                Logger.d("点击返回");
//                finish();
//            }
//        });
//        //右侧添加图片
//        mTopBar.addRightImageButton(R.drawable.icon_letter,2).setOnClickListener(new View.OnClickListener() {
//            @Override
//            public void onClick(View v) {
//                Logger.d("点击QQ");
//            }
//        });
//        //右侧添加样式
//        View root = LayoutInflater.from(this).inflate(R.layout.view_right, null);
//        RelativeLayout.LayoutParams layoutParams = mTopBar.generateTopBarImageButtonLayoutParams();
//        mTopBar.addRightView(root,3,layoutParams);
//        root.setOnClickListener(new View.OnClickListener() {
//            @Override
//            public void onClick(View v) {
//                Logger.d("点击分享");
//            }
//        });
    }

    @Override
    public void onDestroy() {
        super.onDestroy();
        Logger.d("销毁界面");
    }

    @Override
    protected boolean canDragBack() {
        return false;
    }
}